package cn.com.countrygarden.bi.main.service.twerp.hm;

import cn.com.countrygarden.bi.main.core.Service;
import cn.com.countrygarden.bi.main.model.twerp.hm.TbDesktop经营主题;
import cn.com.countrygarden.bi.main.model.twerp.hm.TbSysOrgan;

import java.util.List;
import java.util.Map;


/**
 * Created by CodeGenerator on 2017/08/10.
 */
public interface TbDesktop经营主题Service extends Service<TbDesktop经营主题> {
    Map<String, Object> findByUserSysOrganFromCache(String userCode, String organCode, String commID);
    TbDesktop经营主题 findByUserSysOrganFromMapper(Map<String, String> param);


    Map<String, Object> sumHomeMainIncomeFromCache(String userCode, String organCode, String commID);
    TbDesktop经营主题 sumHomeMainIncomeFromMapper(Map<String, String> param);

    List<Map<String, String>> rankingChargeRateFromCache(TbSysOrgan sysOrgan, boolean yesterday);

    List<Map<String, String>> rankingChaseRateFromCache(TbSysOrgan sysOrgan, boolean yesterday);
}
